<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

<div class="s_comment_list">
    <h3>
    	<?php comments_number( esc_html__('0 Comments', 'sorbroix'), esc_html__('1 Comment', 'sorbroix'), esc_html__('% Comments', 'sorbroix') ); ?>
    </h3>
    <div class="s_comment_list_inner">
        <?php wp_list_comments('callback=sorbroix_theme_comment'); ?>
        <div class="col-md-12"> 
            <!-- START PAGINATION -->
        <?php
            if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
        ?>
            <div class="pagination_area">
                 <nav>
                      <ul class="pagination">
                           <li> <?php paginate_comments_links( 
                          array(
                          'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-left"></i>', 'sorbroix' ),ENT_QUOTES),
                          'next_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-right"></i>', 'sorbroix' ),ENT_QUOTES),
                          ));  ?>
                            </li>
                      </ul>
                 </nav>
            </div>
            <?php endif; ?>
            <!-- END PAGINATION --> 
       </div>
    </div>
</div>
<div class="s_comment_area">
<?php if ( is_singular() ) wp_enqueue_script( "comment-reply" );
    $aria_req = ( $req ? " aria-required='true'" : '' );
    $comment_args = array( 
                'id_form' => 'contactForm',     
                'class_form' => 'row contact_us_form',                         
                'title_reply'=> wp_specialchars_decode( '<h3>Leave a Comment</h3>', 'sorbroix' ),
                'title_reply_before' => '<div class="s_comment_inner">',
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => ' <div class="form-group col-sm-6">
                                      <input id="name" type="text" placeholder="'.esc_attr__('Enter your name', 'sorbroix').'" name="name" required="required" data-error="Name is required."/>                            
                                  </div>',
                    'email' => '  <div class="form-group col-sm-6">
                                      <input type="email" id="email"  placeholder="'.esc_attr__('Enter your email address', 'sorbroix').'" name="email" required="required" data-error="Valid email is required." />
                                  </div>',

                ) ),   
                'comment_field' => ' <div class="form-group col-sm-12">
                                <textarea  id="message" name="message" '.$aria_req.' placeholder="'.esc_attr__('Write message', 'sorbroix').'" data-error="Please,leave us a message."></textarea></div>
                                    ',                
                 'label_submit' => esc_html__( 'Submit now', 'sorbroix' ),
                 'comment_notes_before' => '',
                 'comment_notes_after' => '',               
        )
        ?>
    </div>
</div>
<?php if ( comments_open() ) : ?>
<?php comment_form($comment_args); ?>
<?php endif; ?> 