<?php 

$sorbroix_redux_demo = get_option('redux_demo');


require_once get_template_directory() . '/framework/widget/recent-post.php';
require_once get_template_directory() . '/framework/class-ocdi-importer.php';

function sorbroix_theme_setup() 
{  

/*
     * This theme uses a custom image size for featured images, displayed on
     * "standard" posts and pages.
     */
    add_theme_support( 'custom-header' ); 
    remove_filter ('the_content', 'wpautop');
    add_theme_support( 'custom-background' );
    $lang = get_template_directory_uri() . '/languages';
    load_theme_textdomain('sorbroix', $lang);
    add_theme_support( 'post-thumbnails' );
    // Adds RSS feed links to <head> for posts and comments.
    add_theme_support( 'automatic-feed-links' );
    // Switches default core markup for search form, comment form, and comments
    // to output valid HTML5.
    add_theme_support( "title-tag" );
    add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
    // This theme uses wp_nav_menu() in one location. 

    register_nav_menus( array(
    'primary' =>  esc_html__( 'Primary Navigation Menu.', 'sorbroix' ),
    'mobile' =>  esc_html__( 'Navigation Menu: Chosen menu in mobile.', 'sorbroix' ),
    'service' =>  esc_html__( 'Service Navigation Menu: Chosen menu in sidebar on single service', 'sorbroix' ),
	));
}
add_action( 'after_setup_theme', 'sorbroix_theme_setup' );

function sorbroix_theme_scripts_styles() 
{

	$sorbroix_redux_demo = get_option('redux_demo');
	$protocol = is_ssl() ? 'https' : 'http';
	//css
	wp_enqueue_style('font-awesome', get_template_directory_uri().'/css/font-awesome.min.css');
	wp_enqueue_style('flaticon', get_template_directory_uri().'/vendors/flat-icon/flaticon.css');
	wp_enqueue_style('style-icon', get_template_directory_uri().'/vendors/stroke-icon/style.css');
	wp_enqueue_style('bootstrap', get_template_directory_uri().'/css/bootstrap.min.css');
	wp_enqueue_style('settings', get_template_directory_uri().'/vendors/revolution/css/settings.css');
	wp_enqueue_style('layers', get_template_directory_uri().'/vendors/revolution/css/layers.css');
	wp_enqueue_style('navigation', get_template_directory_uri().'/vendors/revolution/css/navigation.css');
	wp_enqueue_style('animate', get_template_directory_uri().'/vendors/animate-css/animate.css');
	wp_enqueue_style('bootstrap-select', get_template_directory_uri().'/vendors/bootstrap-selector/bootstrap-select.css');
	wp_enqueue_style('owl-carousel', get_template_directory_uri().'/vendors/owl-carousel/owl.carousel.min.css');
	wp_enqueue_style('magnific-popup', get_template_directory_uri().'/vendors/magnify-popup/magnific-popup.css');
	wp_enqueue_style('style', get_template_directory_uri().'/css/style.css');
	wp_enqueue_style('responsive', get_template_directory_uri().'/css/responsive.css');

	wp_enqueue_style('sorbroix-css', get_stylesheet_uri(), array(), '2022-04-25');
  if(isset($sorbroix_redux_demo['chosen-color']) && $sorbroix_redux_demo['chosen-color']==1){
    wp_enqueue_style( 'color', get_template_directory_uri().'/framework/color.php');
    }
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );
	//js
    wp_enqueue_script( 'jquery' );
	wp_enqueue_script('jquery224', get_template_directory_uri().'/js/jquery-2.2.4.js', array(), false, true);
	wp_enqueue_script('bootstrap', get_template_directory_uri().'/js/bootstrap.min.js', array(), false, true);
	wp_enqueue_script('themepunch-tools', get_template_directory_uri().'/vendors/revolution/js/jquery.themepunch.tools.min.js', array(), false, true);
	wp_enqueue_script('themepunch-revolution', get_template_directory_uri().'/vendors/revolution/js/jquery.themepunch.revolution.min.js', array(), false, true);
	wp_enqueue_script('actions', get_template_directory_uri().'/vendors/revolution/js/extensions/revolution.extension.actions.min.js', array(), false, true);
	wp_enqueue_script('video', get_template_directory_uri().'/vendors/revolution/js/extensions/revolution.extension.video.min.js', array(), false, true);
	wp_enqueue_script('slideanims', get_template_directory_uri().'/vendors/revolution/js/extensions/revolution.extension.slideanims.min.js', array(), false, true);
	wp_enqueue_script('layeranimation', get_template_directory_uri().'/vendors/revolution/js/extensions/revolution.extension.layeranimation.min.js', array(), false, true);
	wp_enqueue_script('navigation', get_template_directory_uri().'/vendors/revolution/js/extensions/revolution.extension.navigation.min.js', array(), false, true);
	wp_enqueue_script('bootstrap-select', get_template_directory_uri().'/vendors/bootstrap-selector/bootstrap-select.js', array(), false, true);
	wp_enqueue_script('owl-carousel', get_template_directory_uri().'/vendors/owl-carousel/owl.carousel.min.js', array(), false, true);
	wp_enqueue_script('waypoints', get_template_directory_uri().'/vendors/counterup/waypoints.min.js', array(), false, true);
	wp_enqueue_script('counterup', get_template_directory_uri().'/vendors/counterup/jquery.counterup.min.js', array(), false, true);
	wp_enqueue_script('magnific-popup', get_template_directory_uri().'/vendors/magnify-popup/jquery.magnific-popup.min.js', array(), false, true);
	wp_enqueue_script('imagesloaded-pkgd', get_template_directory_uri().'/vendors/isotope/imagesloaded.pkgd.min.js', array(), false, true);
	wp_enqueue_script('isotope-pkgd', get_template_directory_uri().'/vendors/isotope/isotope.pkgd.min.js', array(), false, true);
	wp_enqueue_script('skrollr', get_template_directory_uri().'/vendors/skroller/skrollr.min.js', array(), false, true);
	wp_enqueue_script('nicescroll', get_template_directory_uri().'/vendors/scroll/jquery.nicescroll.min.js', array(), false, true);
	wp_enqueue_script('theme', get_template_directory_uri().'/js/theme.js', array(), false, true);

}
add_action( 'wp_enqueue_scripts', 'sorbroix_theme_scripts_styles' );



//Comment Form
function sorbroix_theme_comment($comment, $args, $depth) 
{
    //echo 's';
   $GLOBALS['comment'] = $comment; ?>
    <?php if(get_avatar($comment,$size='75' )!='')
    {?>

	    	<div class="media">
	    		<div class="media-left">
			    <?php echo get_avatar($comment,$size='75' ); ?>
			</div>
			<div class="media-body">
			    <a href="#"><h4><?php printf( get_comment_author_link()) ?></h4></a>
			    <p><?php comment_text() ?></p>
			    <div class="date_rep">
			        <a href="#"><?php the_time('F Y, j'); ?></a>
			        <a href="#"><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></a>
			    </div>
			</div>
	    	</div>

  <?php }else
  {?>
	<div class="media-body">
	    <a href="#"><h4><?php printf( get_comment_author_link()) ?></h4></a>
	    <p><?php comment_text() ?></p></p>
	    <div class="date_rep">
	        <a href="#"><?php the_time('F Y, j'); ?></a>
	        <a href="#"><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></a>
	    </div>
	</div>
      
<?php }}

// Widget Sidebar
function sorbroix_widgets_init() 
{
    register_sidebar( array(
    'name'          => esc_html__( 'Primary Sidebar', 'sorbroix' ),
    'id'            => 'sidebar-1',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'sorbroix' ),        
        'before_widget' => '<aside id="%1$s" class="widget popular-categories r_widget recent_widget %2$s" >',        
        'after_widget'  => '</aside>',        
        'before_title'  => '<div class="r_widget_title">
                                   <h3>',        
        'after_title'   => '</h3>
                              </div>'
    ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Header Sidebar', 'sorbroix' ),
    'id'            => 'header-2',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'sorbroix' ),        
        'before_widget' => '',        
        'after_widget'  => '',        
        'before_title'  => '',        
        'after_title'   => ''
    ) );					
    register_sidebar( array(
    'name'          => esc_html__( 'Service Sidebar', 'sorbroix' ),
    'id'            => 'sidebar-service',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'sorbroix' ),        
        'before_widget' => '',        
        'after_widget'  => '',        
        'before_title'  => '',        
        'after_title'   => ''
    ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer One', 'sorbroix' ),
    'id'            => 'footer-1',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'sorbroix' ),        
        'before_widget' => '',        
        'after_widget'  => '',        
        'before_title'  => '',        
        'after_title'   => ''
    ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Two', 'sorbroix' ),
    'id'            => 'footer-2',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'sorbroix' ),        
        'before_widget' => '',        
        'after_widget'  => '',        
        'before_title'  => '',        
        'after_title'   => ''
    ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Three', 'sorbroix' ),
    'id'            => 'footer-3',        
        'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'sorbroix' ),        
        'before_widget' => '',        
        'after_widget'  => '',        
        'before_title'  => '',        
        'after_title'   => ''
    ) );

}
add_action( 'widgets_init', 'sorbroix_widgets_init' ); 

//function tag widgets
function sorbroix_tag_cloud_widget($args) 
{
    $args['number'] = 0; //adding a 0 will display all tags
    $args['largest'] = 18; //largest tag
    $args['smallest'] = 11; //smallest tag
    $args['unit'] = 'px'; //tag font unit
    $args['format'] = 'list'; //ul with a class of wp-tag-cloud
    $args['exclude'] = array(20, 80, 92); //exclude tags by ID
    return $args;
}
add_filter( 'widget_tag_cloud_args', 'sorbroix_tag_cloud_widget' );


function sorbroix_search_form( $form ) 
{
    $form = '
  <form  method="get" action="' . esc_url(home_url('/')) . '"> 
            <input type="text"  placeholder="'.esc_attr__('Enter Search Keywork', 'sorbroix').'" value="' . get_search_query() . '" name="s" > 
  </form>
    ';
    return $form;
}
add_filter( 'get_search_form', 'sorbroix_search_form' );


function add_additional_class_on_li($classes, $item, $args) {
    if(isset($args->add_li_class)) {
        $classes[] = $args->add_li_class;
    }
    return $classes;
}
add_filter('nav_menu_css_class', 'add_additional_class_on_li', 1, 3);

function add_menu_link_class( $atts, $item, $args ) {
  if (property_exists($args, 'add_link_class')) {
    $atts['class'] = $args->add_link_class;
  }
  return $atts;
}
add_filter( 'nav_menu_link_attributes', 'add_menu_link_class', 1, 3 );

function replace_submenu_class($menu) {  
  $menu = preg_replace('/ class="sub-menu"/','/ class="dropdown-menu" /',$menu);  
  return $menu;  
}  
add_filter('wp_nav_menu','replace_submenu_class'); 


function sorbroix_excerpt() {
  $sorbroix_redux_demo = get_option('redux_demo');
  if(isset($sorbroix_redux_demo['blog_excerpt'])){
    $limit = $sorbroix_redux_demo['blog_excerpt'];
  }else{
    $limit = 20;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}


function sorbroix_pagination($pages='') {
    global $wp_query, $wp_rewrite;
    $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
    if($pages==''){
        global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
    }
    $pagination = array(
    'base'      => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
    'format'    => '',
    'current'     => max( 1, get_query_var('paged') ),
    'total'     => $pages,
    'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-left" aria-hidden="true"></i>', 'sorbroix' ),ENT_QUOTES),
    'next_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-right" aria-hidden="true"></i>', 'sorbroix' ),ENT_QUOTES),
    'type'      => 'list',
    'end_size'    => 3,
    'mid_size'    => 3
);
    $return =  paginate_links( $pagination );
  echo str_replace( "<ul class='page-numbers'>", '<ul class="pagination">', $return );
} 



/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin <thomasgriffinmedia.com>
 * @author     Gary Jones <gamajo.com>
 * @copyright  Copyright (c) 2014, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'sorbroix_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
 
 
function sorbroix_theme_register_required_plugins() {
    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
        // This is an example of how to include a plugin from the WordPress Plugin Repository.
      array(
            'name'      => esc_html__( 'One Click Demo Import', 'sorbroix' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Editor', 'sorbroix' ),
            'slug'      => 'classic-editor',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Widgets', 'sorbroix' ),
            'slug'      => 'classic-widgets',
            'required'  => true,
        ),
      array(
            'name'      => esc_html__( 'Widget Importer & Exporter', 'sorbroix' ),
            'slug'      => 'widget-importer-&-exporter',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Contact Form 7', 'sorbroix' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'WP Maximum Execution Time Exceeded', 'sorbroix' ),
            'slug'      => 'wp-maximum-execution-time-exceeded',
            'required'  => true,
        ), 
      array(
            'name'                     => esc_html__( 'Elementor', 'sorbroix' ),
            'slug'                     => 'elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/elementor.zip',
        ),
      array(
            'name'                     => esc_html__( 'Sorbroix Common', 'sorbroix' ),
            'slug'                     => 'sorbroix-common',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/sorbroix-common.zip',
        ),
      array(
            'name'                     => esc_html__( 'Sorbroix Elementor', 'sorbroix' ),
            'slug'                     => 'sorbroix-elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/sorbroix-elementor.zip',
        ),
      array(
            'name'                     => esc_html__( 'Woocommerce', 'sorbroix' ),
            'slug'                     => 'woocommerce',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/woocommerce.zip',
        ),
    );
    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'sorbroix' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'sorbroix' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'sorbroix' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'sorbroix' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'sorbroix' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'sorbroix' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'sorbroix' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'sorbroix' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'sorbroix' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'sorbroix' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'sorbroix' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'sorbroix' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'sorbroix' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'sorbroix' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'sorbroix' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'sorbroix' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'sorbroix' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}

?>

function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328425&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        