<!DOCTYPE html>

<?php $sorbroix_redux_demo = get_option('redux_demo'); ?>

<head>
	<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {

        ?>

    <link rel="shortcut icon" href="<?php if(isset($sorbroix_redux_demo['favicon']['url'])){?><?php echo esc_url($sorbroix_redux_demo['favicon']['url']); ?><?php }?>">


    <?php }?>

    <?php wp_head(); ?>

</head>
<body <?php body_class(); ?>>
<!--================Side Menu Area =================-->
<div class="right_sidebar_menu">
    <div class="right_menu_inner">
    <div class="close_menu bar_menu">
        <span></span>
        <span></span>
    </div>
    <div class="right_widget_inner">
        <?php if ( is_active_sidebar( 'header-2' ) ) : ?>
            <?php dynamic_sidebar( 'header-2' ); ?>
            <?php endif; ?>
    </div>
    </div>
</div>
<!--================Side Menu Area =================-->
<!--================Header Area =================-->
<header class="main_menu_area_three ab_menu_gap">
    <div class="header_top row m0">
        <div class="container">
            <div class="pull-left">
                <a href="#"><i class="icon <?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['icon_address_3_1']));?>"></i>
                <?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['address_3_1']));?></a>
            </div>
            <div class="pull-right">
                <ul class="header_social">
                    <li><a href="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['header_link_facebook']));?>"><i class="fa fa-facebook"></i></a></li>
                    <li><a href="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['header_link_twitter']));?>"><i class="fa fa-twitter"></i></a></li>
                    <li><a href="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['header_link_google']));?>"><i class="fa fa-google-plus"></i></a></li>
                    <li><a href="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['header_link_linkedin']));?>"><i class="fa fa-linkedin"></i></a></li>
                </ul>
                <select class="selectpicker">
                    <option>EN</option>
                    <option>BN</option>
                    <option>IN</option>
                </select>
                <div id="nav-icon1">
                    <span></span>
                    <span></span>
                    <span></span>
                </div>
            </div>
        </div>
    </div>
    <div class="header_logo_area row m0">
        <div class="container">
            <div class="pull-left">
                <a class="logo" href="<?php echo esc_url(home_url('/')); ?>">
                	<?php if(isset($sorbroix_redux_demo['logo_black']['url']) && $sorbroix_redux_demo['logo_black']['url'] != ''){ ?>
                	<img src="<?php echo esc_url($sorbroix_redux_demo['logo_black']['url']);?>" alt="chiroprato"/>
                	<?php }else{ ?>

                    	<img src="<?php echo get_template_directory_uri();?>/img/logo-black.png" alt="chiroprato">

                	<?php } ?>
                </a>
		    </div>
            <div class="pull-right">
                <div class="media">
                    <div class="media-left">
                        <i class="icon <?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['icon_address_3_2']));?>"></i>
                    </div>
                    <div class="media-body">														
                        <h4><?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['address_3_2']));?></h4>											
                        <p><?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['sub_address_3_2']));?></p>                            
                    </div>
                </div>
                <div class="media">
                    <div class="media-left">
                        <i class="icon <?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['icon_phone_3_1']));?>"></i>
                    </div>
                    <div class="media-body">
                        <h4><?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['phone_3_1']));?></h4>					
                        <p><?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['sub_phone_3_1']));?></p>				
                   </div>
                </div>
                <div class="media">
                    <div class="media-left">
                        <i class="icon <?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['icon_time_3_1']));?>"></i>
                    </div>
                    <div class="media-body">
                        <h4><?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['time_3_1']));?></h4>												
                        <p><?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['sub_time_3_1']));?></p>				
		            </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row m0 main_menu_bg">
        <nav class="navbar navbar-default">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="#"><img src="<?php echo esc_url($sorbroix_redux_demo['logo_white']['url']);?>" alt=""></a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <?php 
                          wp_nav_menu( 

                          array( 

                                'theme_location' => 'primary',

                                'container' => '',

                                'menu_class' => '', 

                                'menu_id' => '',

                                'menu'            => '',

                                'container_class' => '',

                                'container_id'    => '',

                                'echo'            => true,

                                'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',

                                //'walker'          => new sorbroix_wp_bootstrap_navwalker(),

                                'before'          => '',

                                'after'           => '',

                                'link_before'     => '',

                                'link_after'      => '',

                                'items_wrap'      => '<ul  class="nav navbar-nav menu %2$s">%3$s</ul>',

                                'depth'           => 0,    

                                'add_li_class'    => 'dropdown submenu',  

                                'add_link_class'  => 'dropdown-toggle',

                            )

                         ); ?>
                <ul class="nav navbar-nav navbar-right">
                    <li><a href="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['link_phone_3_2']));?>">
                    	<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['phone_3_2']));?>
                    </a></li>
                </ul>

            </div><!-- /.navbar-collapse -->
        </nav>
    </div>            
</header>
<!--================Header Area =================-->