<!DOCTYPE html>

<?php $sorbroix_redux_demo = get_option('redux_demo'); ?>

<head>
	<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {

        ?>

    <link rel="shortcut icon" href="<?php if(isset($sorbroix_redux_demo['favicon']['url'])){?><?php echo esc_url($sorbroix_redux_demo['favicon']['url']); ?><?php }?>">


    <?php }?>

    <?php wp_head(); ?>

</head>
<body <?php body_class(); ?>>

<!--================Header Area Five =================-->
<header class="main_menu_area_five">
    <div class="header_logo_area">
        <div class="container">
            <div class="row">
                <div class="col-md-4">
                    <a class="logo" href="<?php echo esc_url(home_url('/')); ?>">
                    	<?php if(isset($sorbroix_redux_demo['logo_black']['url']) && $sorbroix_redux_demo['logo_black']['url'] != ''){ ?>
	                	<img src="<?php echo esc_url($sorbroix_redux_demo['logo_black']['url']);?>" alt="chiroprato"/>
	                	<?php }else{ ?>

	                    	<img src="<?php echo get_template_directory_uri();?>/img/logo-white.png" alt="chiroprato">

	                	<?php } ?>
                    </a>
                </div>
                <div class="col-md-8 col-sm-12">
                    <div class="top-two-right">
                        <a href="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['link_button_5']));?>" class="submit learn_btn">
                        	<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['text_button_5']));?>
                        </a>
                        <div class="top-panel">
                            <ul class="nav top-contact-info">
                                <li class="item item-phone">
                                    <a href="#"><i class="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['icon_phone_5']));?>"></i>
                                    	<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['phone_5']));?>
                                	</a>
                                </li>
                                <li class="item item-ad">
                                    <a href="#"><i class="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['icon_mail_5']));?>"></i>
                                    	<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['mail_5']));?>
                                	</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="menu_inner_area_two">
        <div class="container">
            <nav class="navbar navbar-default">
                <div class="row">
                    <!-- Brand and toggle get grouped for better mobile display -->
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>">
                        	<?php if(isset($sorbroix_redux_demo['logo_black']['url']) && $sorbroix_redux_demo['logo_black']['url'] != ''){ ?>
		                	<img src="<?php echo esc_url($sorbroix_redux_demo['logo_black']['url']);?>" alt="chiroprato"/>
		                	<?php }else{ ?>

		                    	<img src="<?php echo get_template_directory_uri();?>/img/logo-white.png" alt="chiroprato">

		                	<?php } ?>
                        </a>
                    </div>

                    <!-- Collect the nav links, forms, and other content for toggling -->
                    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                        <ul class="nav navbar-nav menu">
                            <?php 
                          wp_nav_menu( 

                          array( 

                                'theme_location' => 'primary',

                                'container' => '',

                                'menu_class' => '', 

                                'menu_id' => '',

                                'menu'            => '',

                                'container_class' => '',

                                'container_id'    => '',

                                'echo'            => true,

                                'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',

                                //'walker'          => new sorbroix_wp_bootstrap_navwalker(),

                                'before'          => '',

                                'after'           => '',

                                'link_before'     => '',

                                'link_after'      => '',

                                'items_wrap'      => '<ul  class="nav navbar-nav menu %2$s">%3$s</ul>',

                                'depth'           => 0,    

                                'add_li_class'    => 'dropdown submenu',  

                                'add_link_class'  => 'dropdown-toggle',

                            )

                         ); ?>
                            <li class="search"><a href="#test-search" class="popup-with-zoom-anim"><i class="icon icon-Search"></i></a></li>
                        </ul>
                        <ul class="nav navbar-nav navbar-right social-nav">
                            <li><a href="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['header_link_facebook']));?>"><i class="fa fa-facebook"></i></a></li>
	                        <li><a href="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['header_link_twitter']));?>"><i class="fa fa-twitter"></i></a></li>
	                        <li><a href="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['header_link_google']));?>"><i class="fa fa-google-plus"></i></a></li>
	                        <li><a href="<?php echo wp_specialchars_decode(esc_attr($sorbroix_redux_demo['header_link_linkedin']));?>"><i class="fa fa-linkedin"></i></a></li>
                        </ul>
                    </div><!-- /.navbar-collapse -->
                </div>
            </nav>
        </div>
    </div>
</header>
<!--================Header Area Five=================-->