<?php 
/*
 * Template Name: Sorbroix
 * Description: A Page Template with a Page Builder design.
 */
$sorbroix_redux_demo = get_option('redux_demo');
get_header(); 
?>
 

<!--================Banner Area =================-->
<section class="banner_area" style="background: url(<?php echo esc_url($sorbroix_redux_demo['blog_details_banner_image']['url']); ?>) no-repeat scroll center center;">
    <div class="container">
        <div class="banner_inner">
            <h2>
                <?php if(isset($sorbroix_redux_demo['blog_title'])){?>
                <?php echo esc_attr($sorbroix_redux_demo['blog_title']);?>
                <?php }else{?>
                <?php echo esc_html__( 'Blog', 'sorbroix' );
                }
                ?>
            </h2>
            <ul>
                <li><a href="<?php echo esc_url(home_url('/')); ?>">
                  <?php if(isset($sorbroix_redux_demo['home'])){?>
                  <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['home']));?>
                  <?php }else{?>
                  <?php echo esc_html__( 'Home', 'sorbroix' );
                  }?>
                </a></li>
                <li class="active"><a href="#">
                    <?php if(isset($sorbroix_redux_demo['blog_details_active'])){?>
                    <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['blog_details_active']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Blog 2 Column', 'sorbroix' );
                    }?>
                </a></li>
            </ul>
        </div>
    </div>
</section>
<!--================End Banner Area =================-->
    
<!--================Blog Area =================-->
<section class="blog_main_area pad_100">
    <div class="container">
        <div class="row blog_main_inner_two">
            <?php  
                while (have_posts()): the_post(); 
            ?>
            <div class="col-sm-6">
                <div class="blog_item">
                    <a href="<?php the_permalink();?>" class="blog_img">
                        <?php if ( has_post_thumbnail() ) { ?>
                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="Awesome Image">
                        <?php } ?>
                    </a>
                    <div class="blog_text">
                        <a href="#"><h5><?php the_time(get_option( 'date_format' ));?></h5></a>
                        <a href="<?php the_permalink();?>"><h4><?php the_title();?></h4></a>
                        <p>
                            <?php if(isset($sorbroix_redux_demo['blog_excerpt'])){?>
                            <?php echo esc_attr(sorbroix_excerpt($sorbroix_redux_demo['blog_excerpt'])); ?>
                            <?php }else{?>
                            <?php echo esc_attr(sorbroix_excerpt(30)); 
                            }
                            ?>
                        </p>
                        <a class="read_btn" href="<?php the_permalink();?>">
                            <?php if(isset($sorbroix_redux_demo['read_more'])){?>
                            <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['read_more']));?>
                            <?php }else{?>
                            <?php echo esc_html__( 'Read more', 'sorbroix' );
                            }
                            ?>
                        </a>
                    </div>
                </div>
            </div>
        <?php endwhile; ?>
        </div>
    </div>
</section>
<!--================End Bolg Area =================-->
<section class="pagination_two">
    <nav aria-label="Page navigation" class="blog_pagination">
        <ul class="pagination">
            <?php sorbroix_pagination();?>
        </ul>
    </nav>
</section> 


<?php
get_footer();
?>