<?php
/*
 * Template Name: Project Full Width
 * Description: A Page Template with a Page Builder design.
 */
$sorbroix_redux_demo = get_option('redux_demo');
get_header(); ?>

<!--================Banner Area =================-->
<section class="banner_area" style="background: url(<?php echo esc_url($sorbroix_redux_demo['cases_details_banner_image']['url']); ?>) no-repeat scroll center center;">
    <div class="container">
        <div class="banner_inner">
            <h2>
                <?php if(isset($sorbroix_redux_demo['cases_details_title'])){?>
                <?php echo esc_attr($sorbroix_redux_demo['cases_details_title']);?>
                <?php }else{?>
                <?php echo esc_html__( 'Cases', 'sorbroix' );
                }
                ?>
            </h2>
            <ul>
                <li><a href="<?php echo esc_url(home_url('/')); ?>">
                  <?php if(isset($sorbroix_redux_demo['home'])){?>
                  <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['home']));?>
                  <?php }else{?>
                  <?php echo esc_html__( 'Home', 'sorbroix' );
                  }?>
                </a></li>
                <li class="active"><a href="<?php the_permalink();?>">
                    <?php if(isset($sorbroix_redux_demo['cases_details_active'])){?>
                    <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['cases_details_active']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Cases Full Screen', 'sorbroix' );
                    }?>
                </a></li>
            </ul>
        </div>
    </div>
</section>
<!--================End Banner Area =================-->


<?php
    $wp_query = new \WP_Query(array('post_type' => 'cases','paged' => $paged,
                        'posts_per_page' => $sorbroix_redux_demo['number'],));
    $args = array('post_type' => 'cases');
?>
<!--================Start projects 3 col Area =================-->
<section class="projects_full_area pad_100">
    <div class="container-fluid"> 
        <ul class="project_fillter fillter_two text-center">
            <li class="active" data-filter="*"><a href="#">All</a></li>
            <?php
                $categories = get_terms('type1');
                foreach((array)$categories as $categorie){              
                    $cat_name = $categorie->name;
                    $cat_slug = $categorie->slug;
            ?>
            <li data-filter=".<?php echo esc_attr($cat_slug);?>"><a href="#"><?php echo esc_attr($cat_name);?></a></li>
            <?php }?>
        </ul>
        <div class="row our_case_inner">
            <?php  
                $args = new \WP_Query(array(
                        'post_type'     => 'cases',
                    ));
                    $i = 1;
                    while($wp_query->have_posts()): $wp_query->the_post(); 
                    $cates = get_the_terms(get_the_ID(),'type1');
                    $cate_name = '';
                    $cate_slug = '';
                    foreach((array)$cates as $cate){
                    if(count($cates)>0){
                        $cate_name .= $cate->name.' ' ;
                        $cate_slug .= $cate->slug .' ';     
                    } 
                }
                    $i++;
                $image_cases_gallery = get_post_meta(get_the_ID(),'_cmb_cases_featured_image_2', true);
                $title_cases = get_post_meta(get_the_ID(),'_cmb_cases_title_ex',true);
            ?>

            <div class="project_full_item  energy <?php echo esc_attr($cate_slug);?>">
                <div class="cases_item">
                    <div class="cases_image">
                        <img src="<?php echo wp_get_attachment_url($image_cases_gallery);?>" alt="">
                        <a class="cases_link" href="<?php the_permalink();?>"><i class="icon icon-Linked"></i></a> 
                    </div>
                    <a href="<?php the_permalink();?>"><h5><?php echo esc_attr($title_cases);?></h5></a>
                    <p>Business Analysis</p>
                </div>
            </div>
        <?php endwhile; ?>
        </div>
    </div>
</section>
<!--================End projects 3 col Area =================-->

<?php
get_footer();
?>