<?php
/*
 * Template Name: Contact Us
 * Description: A Page Template with a Page Builder design.
 */
$sorbroix_redux_demo = get_option('redux_demo');
get_header(); ?>

<!--================Banner Area =================-->
<section class="banner_area" style="background: url(<?php echo esc_url($sorbroix_redux_demo['contact_us_banner_image']['url']); ?>) no-repeat scroll center center;">
    <div class="container">
        <div class="banner_inner">
            <h2>
            	<?php if(isset($sorbroix_redux_demo['contact_us_title'])){?>
                <?php echo esc_attr($sorbroix_redux_demo['contact_us_title']);?>
                <?php }else{?>
                <?php echo esc_html__( 'Contact us', 'sorbroix' );
                }
                ?>
            </h2>
            <ul>
                <li><a href="<?php echo esc_url(home_url('/')); ?>">
                  <?php if(isset($sorbroix_redux_demo['home'])){?>
                  <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['home']));?>
                  <?php }else{?>
                  <?php echo esc_html__( 'Home', 'sorbroix' );
                  }?>
                </a></li>
                <li class="active"><a href="<?php the_permalink();?>">
                    <?php if(isset($sorbroix_redux_demo['contact_us_active'])){?>
                    <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['contact_us_active']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Contact us', 'sorbroix' );
                    }?>
                </a></li>
            </ul>
        </div>
    </div>
</section>

<?php if (have_posts()){ ?>
  <?php while (have_posts()) : the_post()?>
      <?php the_content(); ?>
    <?php endwhile; ?>
  <?php }else {
    echo esc_html__( 'Home one', 'sorbroix' );
  }?>


<?php
    get_footer();
?>