<?php
/*
 * Template Name: Our Service
 * Description: A Page Template with a Page Builder design.
 */
$sorbroix_redux_demo = get_option('redux_demo');
get_header(); ?>

<!--================Banner Area =================-->
<section class="banner_area" style="background: url(<?php echo esc_url($sorbroix_redux_demo['service_details_banner_image']['url']); ?>) no-repeat scroll center center;">
    <div class="container">
        <div class="banner_inner">
            <h2>
            	<?php the_title(); ?>
            </h2>
            <ul>
                <li><a href="<?php echo esc_url(home_url('/')); ?>">
                  <?php if(isset($sorbroix_redux_demo['home'])){?>
                  <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['home']));?>
                  <?php }else{?>
                  <?php echo esc_html__( 'Home', 'sorbroix' );
                  }?>
                </a></li>
                <li class="active"><a href="<?php the_permalink();?>">   	
                	<?php if(isset($sorbroix_redux_demo['service_details_active'])){?>
                    <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['service_details_active']));?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Our Services', 'sorbroix' );
                    }?>
                </a></li>
            </ul>
        </div>
    </div>
</section>
        <!--================End Banner Area =================-->
        
<!--================Prictice Area =================-->
<section class="practice_area sevice_offer pad_100">
    <div class="container">
        <div class="left_title">
            <?php the_content(); ?>
        </div>
        <div class="row practice_inner">
            <?php  
            $wp_query = new \WP_Query(array('posts_per_page' => $post_number,'post_type' => 'service', 'paged' => $paged,  'orderby' => 'ID', 'order' => 'ASC'));
            $args = new \WP_Query(array(
                    'post_type'     => 'service',
                    'paged' => $paged,
                ));
                $i = 1;
                while($wp_query->have_posts()): $wp_query->the_post(); 
                $service_featured_image_2 = get_post_meta(get_the_ID(),'_cmb_service_featured_image_2', true);
                $service_title_express = get_post_meta(get_the_ID(),'_cmb_title_ex',true);
            ?>
            <div class="col-md-3 col-sm-4 col-xs-6">
                <div class="practice_item">
                    <div class="p_img_inner">
                        <a class="p_img" href="<?php the_permalink();?>">
                            <img src="<?php echo wp_get_attachment_url($service_featured_image_2);?>" alt="Awesome Image">
                        </a>
                        <a class="p_hover" href="<?php the_permalink();?>">
                            <h5>View Details</h5>
                        </a>
                    </div>
                    <a href="<?php the_permalink();?>"><h4><?php echo wp_specialchars_decode($service_title_express);?></h4></a>
                </div>
            </div>
            <?php endwhile; ?>
        </div>
    </div>
</section>
<!--================End Prictice Area =================-->

<!--================Business Area =================-->
<section class="business_area">
    <div class="container">
        <div class="row business_inner">
            <div class="col-md-6 col-sm-3"></div>
            <div class="col-md-6 col-sm-9">
                <div class="business_text">
                    <h3>No matter where you want your business to go ...</h3>
                    <p>Straight solutions can help you get there.</p>
                    <a class="learn_btn" href="#">Signup now</a>
                </div>
            </div>
        </div>
    </div>
</section>
<!--================End Business Area =================-->

<?php
get_footer();
?>