<?php
     $industrio_redux_demo = get_option('redux_demo');
     get_header(); 
?>

<!--================Banner Area =================-->
<section class="banner_area" style="background: url(<?php echo esc_url($sorbroix_redux_demo['blog_details_banner_image']['url']); ?>) no-repeat scroll center center;">
    <div class="container">
        <div class="banner_inner">
            <h2>
                <?php echo esc_html__( 'Tag', 'sorbroix' );?>
            </h2>
            <ul>
                <li><a href="<?php echo esc_url(home_url('/')); ?>">
                  <?php if(isset($sorbroix_redux_demo['home'])){?>
                  <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['home']));?>
                  <?php }else{?>
                  <?php echo esc_html__( 'Home', 'sorbroix' );
                  }?>
                </a></li>
                <li class="active"><a href="#">
                    <?php printf( esc_html__( '%s', 'sorbroix' ), single_cat_title( '', false ) ); ?>
                </a></li>
            </ul>
        </div>
    </div>
</section>
<!--================End Banner Area =================-->

<!--================Blog Area =================-->
<section class="blog_main_area pad_100">
    <div class="container">
        <div class="row blog_main_inner">
            <div class="col-lg-9 col-md-8">      	
                <div class="blog_item_inner">
                	<?php  
		        	
		                while($wp_query->have_posts()): $wp_query->the_post();
			        ?>
                    <div class="blog_item">
	                    <a href="<?php the_permalink();?>" class="blog_img">
	                        <?php if ( has_post_thumbnail() ) { ?>
	                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="Awesome Image">
	                        <?php } ?>
	                    </a>
	                    <div class="blog_text">
	                        <a href="#"><h5><?php the_time(get_option( 'date_format' ));?></h5></a>
	                        <a href="<?php the_permalink();?>"><h4><?php the_title();?></h4></a>
	                        <ul>
	                            <li><span>By :</span>  <?php the_author_posts_link(); ?></a></li>
	                            <li><a href="#"><?php the_time(get_option( 'date_format' ));?></a></li>
	                            <li><a href="#">
	                            	<?php comments_number( esc_html__('Comments: 0', 'sorbroix'), esc_html__('Comment: 1', 'sorbroix'), esc_html__('Comments: %', 'sorbroix') ); ?>
	                            </a></li>
	                        </ul>
	                        <p>
	                        	<?php if(isset($sorbroix_redux_demo['blog_excerpt'])){?>
	                            <?php echo esc_attr(sorbroix_excerpt($sorbroix_redux_demo['blog_excerpt'])); ?>
	                            <?php }else{?>
	                            <?php echo esc_attr(sorbroix_excerpt(30)); 
	                            }
	                            ?>
	                        </p>
	                        <a class="read_btn" href="<?php the_permalink();?>">
	                        	<?php if(isset($sorbroix_redux_demo['read_more'])){?>
	                            <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['read_more']));?>
	                            <?php }else{?>
	                            <?php echo esc_html__( 'Read more', 'sorbroix' );
	                            }
	                            ?>
	                        </a>
	                    </div>
	                </div> 
                    <?php endwhile; ?>   
                </div>
                <nav aria-label="Page navigation" class="blog_pagination">
			        <ul class="pagination">
			            <?php sorbroix_pagination();?>
			        </ul>
			    </nav>
            </div>
            <div class="col-lg-3 col-md-4">
                <div class="sidebar_area">
                    <?php get_sidebar(); ?>
                </div>
            </div>
        </div>
    </div>
</section>
<!--================End Bolg Area =================-->

<?php
    get_footer();
?>