<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header('shop'); ?>


<?php if(isset($sorbroix_redux_demo['port_image']['url']) && $sorbroix_redux_demo['port_image']['url'] != ''){?>

<section class="banner_area" style="background: url(<?php echo esc_url($sorbroix_redux_demo['port_image']['url']);?>) no-repeat scroll center center;

    background-size: cover;

    position: relative;

    z-index: 3;">

<?php }else{?>

<section class="banner_area">

<?php } ?>

            <div class="container">

                <div class="banner_inner">

                    <h2><?php if(isset($sorbroix_redux_demo['shop_title'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['shop_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Shop' );
                                    }
                                    ?></h2>

                    <ul>

                        <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'sorbroix' );?></a></li>

                        <li class="active"><?php if(isset($sorbroix_redux_demo['shop_title'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($sorbroix_redux_demo['shop_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Shop' );
                                    }
                                    ?></li>

                    </ul>

                </div>

            </div>

        </section>





    <section class="practice_area sevice_offer pad_100">

    <div class="container">

        <div class="left_title">
            
            <div class="row practice_inner">

        <?php if ( have_posts() ) : ?>

            <?php woocommerce_product_loop_start(); ?>

                <?php woocommerce_product_subcategories(); ?>

                <?php while ( have_posts() ) : the_post(); ?>

                    <?php wc_get_template_part( 'content', 'product' ); ?>

                <?php endwhile; // end of the loop. ?>

            <?php woocommerce_product_loop_end(); ?>

            <?php
                /**
                 * woocommerce_after_shop_loop hook.
                 *
                 * @hooked woocommerce_pagination - 10
                 */
                do_action( 'woocommerce_after_shop_loop' );
            ?>


        <?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

            <?php wc_get_template( 'loop/no-products-found.php' ); ?>



        <?php endif; ?>
        
        
        </div>
            
        </div>
    </div>
</section>



<?php get_footer(); ?>
