<?php

// register post type Service

add_action( 'init', 'register_sorbroix_Service' );

function register_sorbroix_Service() {

    

    $labels = array( 
 
        'name' => __( 'Service', 'sorbroix' ),

        'singular_name' => __( 'Service', 'sorbroix' ),

        'add_new' => __( 'Add New Service', 'sorbroix' ),

        'add_new_item' => __( 'Add New Service', 'sorbroix' ),

        'edit_item' => __( 'Edit Service', 'sorbroix' ),

        'new_item' => __( 'New Service', 'sorbroix' ),

        'view_item' => __( 'View Service', 'sorbroix' ),

        'search_items' => __( 'Search Service', 'sorbroix' ),

        'not_found' => __( 'No Service found', 'sorbroix' ),

        'not_found_in_trash' => __( 'No Service found in Trash', 'sorbroix' ),

        'parent_item_colon' => __( 'Parent Service:', 'sorbroix' ),

        'menu_name' => __( 'Service', 'sorbroix' ),

    );



    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Service',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Service', 'type' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon' => 'dashicons-embed-post', 

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_type' => 'post'

    );



    register_post_type( 'Service', $args );

}

add_action( 'init', 'create_type_hierarchical_taxonomy', 0 );



//create a custom taxonomy name it Skillss for your posts



function create_type_hierarchical_taxonomy() {



// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI



  $labels = array(

    'name' => __( 'type', 'sorbroix' ),

    'singular_name' => __( 'type', 'sorbroix' ),

    'search_items' =>  __( 'Search type','sorbroix' ),

    'all_items' => __( 'All type','sorbroix' ),

    'parent_item' => __( 'Parent type','sorbroix' ),

    'parent_item_colon' => __( 'Parent type:','sorbroix' ),

    'edit_item' => __( 'Edit type','sorbroix' ), 

    'update_item' => __( 'Update type','sorbroix' ),

    'add_new_item' => __( 'Add New type','sorbroix' ),

    'new_item_name' => __( 'New type Name','sorbroix' ),

    'menu_name' => __( 'type','sorbroix' ),

  );     



// Now register the taxonomy



  register_taxonomy('type',array('Service'), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type' ),

  ));

}



// register post type Cases

add_action( 'init', 'register_sorbroix_Cases' );

function register_sorbroix_Cases() {

    

    $labels = array( 
 
        'name' => __( 'Cases', 'sorbroix' ),

        'singular_name' => __( 'Cases', 'sorbroix' ),

        'add_new' => __( 'Add New Cases', 'sorbroix' ),

        'add_new_item' => __( 'Add New Cases', 'sorbroix' ),

        'edit_item' => __( 'Edit Cases', 'sorbroix' ),

        'new_item' => __( 'New Cases', 'sorbroix' ),

        'view_item' => __( 'View Cases', 'sorbroix' ),

        'search_items' => __( 'Search Cases', 'sorbroix' ),

        'not_found' => __( 'No Cases found', 'sorbroix' ),

        'not_found_in_trash' => __( 'No Cases found in Trash', 'sorbroix' ),

        'parent_item_colon' => __( 'Parent Cases:', 'sorbroix' ),

        'menu_name' => __( 'Cases', 'sorbroix' ),

    );



    $args = array( 

        'labels' => $labels,

        'hierarchical' => true,

        'description' => 'List Cases',

        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),

        'taxonomies' => array( 'Cases', 'type1' ),

        'public' => true,

        'show_ui' => true,

        'show_in_menu' => true,

        'menu_position' => 5,

        'menu_icon' => 'dashicons-embed-post', 

        'show_in_nav_menus' => true,

        'publicly_queryable' => true,

        'exclude_from_search' => false,

        'has_archive' => true,

        'query_var' => true,

        'can_export' => true,

        'rewrite' => true,

        'capability_type' => 'post'

    );



    register_post_type( 'Cases', $args );

}

add_action( 'init', 'create_type1_hierarchical_taxonomy', 0 );



//create a custom taxonomy name it Skillss for your posts



function create_type1_hierarchical_taxonomy() {



// Add new taxonomy, make it hierarchical like Skills

//first do the translations part for GUI



  $labels = array(

    'name' => __( 'type1', 'sorbroix' ),

    'singular_name' => __( 'type1', 'sorbroix' ),

    'search_items' =>  __( 'Search type1','sorbroix' ),

    'all_items' => __( 'All type1','sorbroix' ),

    'parent_item' => __( 'Parent type1','sorbroix' ),

    'parent_item_colon' => __( 'Parent type1:','sorbroix' ),

    'edit_item' => __( 'Edit type1','sorbroix' ), 

    'update_item' => __( 'Update type1','sorbroix' ),

    'add_new_item' => __( 'Add New type1','sorbroix' ),

    'new_item_name' => __( 'New type1 Name','sorbroix' ),

    'menu_name' => __( 'type1','sorbroix' ),

  );     



// Now register the taxonomy



  register_taxonomy('type1',array('Cases'), array(

    'hierarchical' => true,

    'labels' => $labels,

    'show_ui' => true,

    'show_admin_column' => true,

    'query_var' => true,

    'rewrite' => array( 'slug' => 'type1' ),

  ));
}


?>